Bug 1798138 - Must-gather and inspect should put a timestamp when it started and finished into the tar
Summary: Must-gather and inspect should put a timestamp when it started and finished i...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.6.0
Assignee: Maciej Szulik
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-04 16:14 UTC by Brenton Leanhardt
Modified: 2020-09-14 15:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-31 14:00:44 UTC
Target Upstream Version:
maszulik: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 543 None closed Bug 1798138: add timestamps marking start and end for must-gather and inspect 2020-09-14 05:30:11 UTC

Description Brenton Leanhardt 2020-02-04 16:14:24 UTC
Description of problem:

Must-gather and inspect should put a timestamp when it started and finished into the tar.

While recovering a customer's cluster and juggling several must-gathers it quickly became confusing to know exactly the order in which they had been taken.  Time was wasted looking at stale collections.

Comment 1 Maciej Szulik 2020-02-28 11:22:54 UTC
It's a nice to have feature but I doubt we'll get a chance to land it in 4.4, moving to 4.5.

Sally, I think we need to just create some kind of timestamp file in oc adm inspect, 
since that's being executed when must-gather is invoked.

Comment 2 Maciej Szulik 2020-05-20 09:33:51 UTC
I’m adding UpcomingSprint, because I was occupied by fixing bugs with higher priority/severity, developing new features with higher priority, or developing new features to improve stability at a macro level. I will revisit this bug next sprint.

Comment 3 Maciej Szulik 2020-05-25 12:00:09 UTC
This still requires further work and as such won't make 4.5 cut and is not a blocker nor a regression, moving to 4.6.

Comment 4 Maciej Szulik 2020-06-18 10:01:28 UTC
I’m adding UpcomingSprint, because I was occupied by fixing bugs with higher priority/severity, developing new features with higher priority, or developing new features to improve stability at a macro level. I will revisit this bug next sprint.

Comment 5 Maciej Szulik 2020-07-09 11:00:55 UTC
I’m adding UpcomingSprint, because I was occupied by fixing bugs with higher priority/severity, developing new features with higher priority, or developing new features to improve stability at a macro level. I will revisit this bug next sprint.

Comment 6 Maciej Szulik 2020-08-21 13:50:10 UTC
I’m adding UpcomingSprint, because I was occupied by fixing bugs with higher priority/severity, developing new features with higher priority, or developing new features to improve stability at a macro level. I will revisit this bug next sprint.

Comment 7 Michal Fojtik 2020-08-24 13:11:17 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant.

Comment 8 Michal Fojtik 2020-08-31 14:00:44 UTC
This bug hasn't had any activity 7 days after it was marked as LifecycleStale, so we are closing this bug as WONTFIX. If you consider this bug still valuable, please reopen it or create new bug.

Comment 9 Maciej Szulik 2020-08-31 14:05:53 UTC
This is a simple fix I already have locally, will try to put a PR today or tomorrow at latest.

Comment 12 RamaKasturi 2020-09-11 06:29:01 UTC
Tried to verify it on the latest payload but do not find the PR yet, so moving the bug to modified state.

[ramakasturinarra@dhcp35-60 oc]$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-09-10-195619 | grep oc
Pull From: registry.svc.ci.openshift.org/ocp/release@sha256:63686e09a1683313331414f763e4b81959b9862a298a1a0d09a1c05674466320
  cli                                            https://github.com/openshift/oc                                             f2a4a0375cc7b0eacb5467a0214303983e1151d6
  cli-artifacts                                  https://github.com/openshift/oc                                             f2a4a0375cc7b0eacb5467a0214303983e1151d6
  deployer                                       https://github.com/openshift/oc                                             f2a4a0375cc7b0eacb5467a0214303983e1151d6
  docker-builder                                 https://github.com/openshift/builder                                        6715074bca257fb7490d8b9f746d30f7b879f2c1
  docker-registry                                https://github.com/openshift/image-registry                                 ef17f50b563ef715a9f6eea1aa9d0a1df4d07078
  local-storage-static-provisioner               https://github.com/openshift/sig-storage-local-static-provisioner           1320d5558444e8780537c1f0cee8a359360115ef
  tools                                          https://github.com/openshift/oc                                             f2a4a0375cc7b0eacb5467a0214303983e1151d6
[ramakasturinarra@dhcp35-60 oc]$ git log f2a4a0375cc7b0eacb5467a0214303983e1151d6 | grep "#543"
[ramakasturinarra@dhcp35-60 oc]$

Comment 14 RamaKasturi 2020-09-14 12:10:43 UTC
Verified bug with payload below. I see that there is a new file with name timestamp is present in the must-gather file.

[ramakasturinarra@dhcp35-60 must-gather.local.5908031252733015707]$ oc version
Client Version: 4.6.0-202009120210.p0-a4a0511
Server Version: 4.6.0-0.nightly-2020-09-12-230035
Kubernetes Version: v1.19.0+4336ff4


[ramakasturinarra@dhcp35-60 must-gather.local.5908031252733015707]$ ls -l
total 216
-rw-r--r--. 1 ramakasturinarra ramakasturinarra 210144 Sep 14 17:16 event-filter.html
drwxrwxrwx. 7 ramakasturinarra ramakasturinarra   4096 Sep 14 17:07 quay-io-openshift-release-dev-ocp-v4-0-art-dev-sha256-c3f668a398878810e8dd2f53ac551605ef2b20c936d17c3f2d2d8c97e17fe479
-rw-r--r--. 1 ramakasturinarra ramakasturinarra    111 Sep 14 17:16 timestamp

[ramakasturinarra@dhcp35-60 must-gather.local.5908031252733015707]$ cat timestamp 
2020-09-14 17:05:19.766538023 +0530 IST m=+3.995675111
2020-09-14 17:16:12.85421628 +0530 IST m=+657.083353198

Above are the timestamps written into the file indicating when the must-gather started & completed.

Based on the above moving the bug to verified state.


Note You need to log in before you can comment on or make changes to this bug.